abuild: make color work again

by sourcing the functions.sh after abuild.conf
This commit is contained in:
Natanael Copa 2009-01-26 10:30:25 +00:00
parent cf3b0ebb4c
commit cd65e27f8c
1 changed files with 13 additions and 14 deletions

27
abuild
View File

@ -10,20 +10,6 @@
abuild_ver=1.5
# source functions
# if abuild was not run from PATH, then look for func lib at same location
if [ -z "$FUNCLIB" ]; then
FUNCLIB="${0##/*}/functions.sh"
[ -f "$FUNCLIB" ] || FUNCLIB=/usr/share/abuild/functions.sh
fi
if ! [ -f "$FUNCLIB" ]; then
echo "$FUNCLIB: not found" >&2
exit 1
fi
. "$FUNCLIB"
startdir="$PWD"
srcdir=${srcdir:-"$startdir/src"}
pkgdir=${pkgdir:-"$startdir/pkg"}
@ -47,6 +33,19 @@ if [ -n "$REPODEST" ]; then
PKGDEST="$REPODEST/$repo"
fi
# source functions
# if abuild was not run from PATH, then look for func lib at same location
if [ -z "$FUNCLIB" ]; then
FUNCLIB="${0##/*}/functions.sh"
[ -f "$FUNCLIB" ] || FUNCLIB=/usr/share/abuild/functions.sh
fi
if ! [ -f "$FUNCLIB" ]; then
echo "$FUNCLIB: not found" >&2
exit 1
fi
. "$FUNCLIB"
set_xterm_title() {
if [ "$TERM" = xterm ]; then
printf "\033]0;$1\007" >&2